# RPM specfile for libgnomeprint22 module
# Generated Thu Jul 31 18:43:24 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.3 2003/07/21 15:31:37 thunder Exp $
# from $Id: ximian-build.conf,v 1.37 2003/07/31 18:44:41 mibarra Exp $

%define nam	libgnomeprint22
%define ver	2.3.0.cvs.9
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	3

Name:     	libgnomeprint22
Version: 	2.3.0.cvs.9
Release:	0.ximian.6.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libgnomeprint-2.3.0.cvs.9.tar.gz
Patch0:		libgnomeprint-de.po.patch
BuildRequires:	glib2-devel >= 1.3.10
BuildRequires:	libart_lgpl-devel >= 2.3.7
BuildRequires:	pango-devel >= 0.21
BuildRequires:	libxml2-devel >= 2.4.23
BuildRequires:	fontconfig-devel >= 1.0
BuildRequires:	libbonobo-devel
BuildRequires:	cups-devel
Summary:	GNOME printing library
Group:		System Environment/Libraries
Requires:	glib2 >= 1.3.10
Requires:	libart_lgpl >= 2.3.7
Requires:	pango >= 0.21
Requires:	libxml2 >= 2.4.23
Requires:	fontconfig >= 1.0
Provides:	ximian-libgnomeprint22 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libgnomeprint22-devel < 2.3.0.cvs.9-0.ximian.6.3
Conflicts:	libgnomeprint22-devel > 2.3.0.cvs.9-0.ximian.6.3

%description

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools. The libgnomeprint package includes
non-GUI-related printing libraries for the GNOME  desktop
platform. The libgnomeprintui package contains X11-dependent GNOME 
printing library features. This package is for the GNOME 2 desktop. 

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
/usr/lib/lib*.so.*
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/libgnomeprint/*/
%dir /usr/lib/libgnomeprint
%dir /usr/lib/libgnomeprint/2.3.0.cvs.9
%dir /usr/lib/libgnomeprint/2.3.0.cvs.9/modules
%dir /usr/lib/libgnomeprint/2.3.0.cvs.9/modules/transports
/usr/lib/libgnomeprint/2.3.0.cvs.9/modules/transports/*.so.*
/usr/lib/libgnomeprint/2.3.0.cvs.9/modules/transports/*.so
/usr/lib/libgnomeprint/2.3.0.cvs.9/modules/*.so.*
/usr/lib/libgnomeprint/2.3.0.cvs.9/modules/*.so
/usr/share/gnome-print-2.0/icons/*


%post
ldconfig

%postun
ldconfig

%package -n libgnomeprint22-devel
Summary:	Libraries and headers for libgnomeprint
Group:		Development/Libraries
Requires:	libgnomeprint22 = 2.3.0.cvs.9-0.ximian.6.3
Requires:	glib2-devel >= 1.3.10
Requires:	libart_lgpl-devel >= 2.3.7
Requires:	pango-devel >= 0.21
Requires:	libxml2-devel >= 2.4.23
Requires:	fontconfig-devel >= 1.0
Requires:	libbonobo-devel
Provides:	ximian-libgnomeprint22-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgnomeprint22-devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools. The libgnomeprint-devel package
includes the libraries and include files that you will need to
use libgnome.

You should install the libgnomeprint-devel package if you would like to
compile applications that make use of the GNOME printing architecture. 

%files -n libgnomeprint22-devel
%defattr(-, root, root)
/usr/lib/pkgconfig/*
/usr/lib/lib*.so
/usr/lib/*.a
/usr/include/*
/usr/share/gtk-doc/html/*
/usr/lib/libgnomeprint/2.3.0.cvs.9/modules/transports/*a
/usr/lib/libgnomeprint/2.3.0.cvs.9/modules/*a


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libgnomeprint-2.3.0.cvs.9
    ;;
all)
%setup  -q -n libgnomeprint-2.3.0.cvs.9
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la; rm -rf ${DESTDIR}/usr/lib/libgnomeprint/2.3.0.cvs.9/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Jul 30 2003 Ximian, Inc.

- Version: 2.3.0.cvs.9-0.ximian.6.3
- Summary: New build.
- New automated build.

* Thu May 15 2003 Ximian, Inc.

- Version: 2.3.0.cvs.7-0.ximian.7.1
- Summary: New build.
- New automated build.

* Mon May 5 2003 Ximian, Inc.

- Version: 2.3.0.cvs.6-0.ximian.3
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 2.3.0.cvs.2-1.ximian.2
- Summary: New build.
- New automated build.

* Tue Feb 11 2003 Ximian, Inc.

- Version: 2.3.0-1.ximian.0
- Summary: New build.
- New automated build.

* Sat Feb 1 2003 Ximian, Inc.

- Version: 2.2.1.1-1.ximian.0
- Summary: New build.
- New automated build.

* Thu Jan 23 2003 Ximian, Inc.

- Version: 2.2.1-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Jan 22 2003 Ximian, Inc.

- Version: 2.1.7-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Nov 29 2002 Ximian, Inc.

- Version: 1.900.0-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Oct 21 2002 Ximian, Inc.

- Version: 1.116.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Aug 16 2002 Ximian, Inc.

- Version: 1.116.0-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Jul 12 2002 Ximian, Inc.

- Version: 1.115.0-1.ximian.1
- Summary: New build.
- New automated build.

